<!-- 蓝色登录页面2 -->
<template>
	<view style="height:100vh;background: #fff;">
		<view class="img-a">
			<view class="t-b">
				您好，
				<br />
				欢迎使用，喵星人智能货柜管理平台
			</view>
		</view>
		<view class="login-view" style="">
			<view class="t-login">
				<form class="cl">
					<view class="t-a">
						<text class="txt">手机号</text>
						<input placeholder="请输入账号" v-model="loginForm.username" name="input" />
					</view>
					<view class="t-a">
						<text class="txt">密码</text>
						<input v-model="loginForm.password" type="password" placeholder="请输入密码" name="input"></input>
					</view>

					<view class="remember">
						<u-checkbox-group v-model="isRemember" @change="remember">
							<u-checkbox size="16" labelSize="12" labelColor="#666" name="1" label="记住密码"></u-checkbox>
						</u-checkbox-group>
					</view>

					<button @click="handleLogin">登 录</button>
					<!-- <view class="reg" @tap="reg()">注 册</view> -->
				</form>
				<!-- <view class="t-f"><text>—————— 第三方账号登录 ——————</text></view>
				<view class="t-e cl">
					<view class="t-g" @tap="wxLogin()">
						<image src="https://zhoukaiwen.com/img/loginImg/wx.png"></image>
					</view>
					<view class="t-g" @tap="zfbLogin()">
						<image src="https://zhoukaiwen.com/img/loginImg/qq.png"></image>
					</view>
				</view> -->
			</view>
		</view>
	</view>
</template>
<script>
	import {
		sysList
	} from '@/api/system/menu.js'
	export default {
		data() {
			return {
				loginForm: {
					username: "",
					password: "",
					code: "",
					uuid: ''
				},
				isRemember: []
			};
		},
		onLoad() {
			if (uni.getStorageSync('account')) {
				this.isRemember = ['1']
				let account = JSON.parse(uni.getStorageSync('account'))
				this.loginForm.username = account.username
				this.loginForm.password = account.password
			}
		},
		methods: {
			remember(e) {
				this.isRemember = e
			},

			// 登录方法
			async handleLogin() {
				if (!this.loginForm.username) {
					this.$modal.msg('请输入账号~')
					return
				}
				if (!this.loginForm.password) {
					this.$modal.msg('请输入密码~')
					return
				}
				this.pwdLogin()
			},

			// 密码登录
			async pwdLogin(params) {
				await this.$store.dispatch('Login', this.loginForm).then(() => {
					if (this.isRemember.length > 0 && this.isRemember[0]) { //记住密码
						let account = {
							username: this.loginForm.username,
							password: this.loginForm.password
						}
						uni.setStorageSync('account', JSON.stringify(account))
					} else {
						uni.setStorageSync('account', '')
					}
				})

				await this.getSysId()

				await this.$store.dispatch('GetPermis')
				//判断用户是否有任一菜单权限

				if (this.$store.state.permission.permissions_menu && this.$store.state.permission.permissions_menu !=
					'[]') {
					this.$tab.reLaunch('/pages/globalPages/home')
				} else {
					this.$modal.msg('该用户无权限~')
				}

			},

			// 获取系统id
			getSysId() {
				return new Promise((resolve, reject) => {
					sysList({}).then(res => {
						let data = res.data;
						let sysId = 381638941857029; //默认系统id
						for (var i = 0; i < data.length; i++) {
							let item = data[i];
							if (item.code == 'xy_merc_mini') {
								sysId = item.id
								console.log('系统id：', sysId)
							}
						}
						uni.setStorageSync('sysId', sysId)
						resolve(res)
					}).catch(err => {
						reject(err)
					})
				})
			},

			//注册按钮点击
			reg() {
				// uni.showToast({ title: '注册跳转', icon: 'none' });
			},
			//等三方微信登录
			wxLogin() {
				// uni.showToast({ title: '微信登录', icon: 'none' });
			},
			//第三方支付宝登录
			zfbLogin() {
				// uni.showToast({ title: '支付宝登录', icon: 'none' });
			}
		}
	};
</script>
<style>
	.txt {
		font-size: 32rpx;
		font-weight: bold;
		color: #333333;
	}

	.img-a {
		width: 100%;
		height: 450rpx;
		background-image: url(https://cdn.ossfile.mxrvending.com/assets/xy_mana_mini/images/global/opendoor-manage-mini.png);
		background-size: 100%;
	}

	.reg {
		font-size: 28rpx;
		color: #fff;
		height: 90rpx;
		line-height: 90rpx;
		border-radius: 50rpx;
		font-weight: bold;
		background: #f5f6fa;
		color: #000000;
		text-align: center;
		margin-top: 30rpx;
	}

	.login-view {
		width: 100%;
		position: relative;
		margin-top: -120rpx;
		background-color: #ffffff;
		border-radius: 8% 8% 0% 0;
	}

	.t-login {
		width: 600rpx;
		margin: 0 auto;
		font-size: 28rpx;
		padding-top: 80rpx;
	}

	.t-login button {
		font-size: 28rpx;
		background: #2796f2;
		color: #fff;
		height: 90rpx;
		line-height: 90rpx;
		border-radius: 50rpx;
		font-weight: bold;
	}

	.t-login input {
		height: 90rpx;
		line-height: 90rpx;
		margin-bottom: 50rpx;
		border-bottom: 1px solid #e9e9e9;
		font-size: 28rpx;
	}

	.t-login .t-a {
		position: relative;
	}

	.t-b {
		text-align: left;
		font-size: 42rpx;
		color: #ffffff;
		padding: 130rpx 0 0 70rpx;
		font-weight: bold;
		line-height: 70rpx;
	}

	.t-login .t-c {
		position: absolute;
		right: 22rpx;
		top: 22rpx;
		background: #5677fc;
		color: #fff;
		font-size: 24rpx;
		border-radius: 50rpx;
		height: 50rpx;
		line-height: 50rpx;
		padding: 0 25rpx;
	}

	.t-login .t-d {
		text-align: center;
		color: #999;
		margin: 80rpx 0;
	}

	.t-login .t-e {
		text-align: center;
		width: 250rpx;
		margin: 80rpx auto 0;
	}

	.t-login .t-g {
		float: left;
		width: 50%;
	}

	.t-login .t-e image {
		width: 50rpx;
		height: 50rpx;
	}

	.t-login .t-f {
		text-align: center;
		margin: 150rpx 0 0 0;
		color: #666;
	}

	.t-login .t-f text {
		margin-left: 20rpx;
		color: #aaaaaa;
		font-size: 27rpx;
	}

	.t-login .uni-input-placeholder {
		color: #aeaeae;
	}

	.cl {
		zoom: 1;
	}

	.cl:after {
		clear: both;
		display: block;
		visibility: hidden;
		height: 0;
		content: '\20';
	}
	
	.remember {
		margin-top: 24rpx;
		margin-bottom: 40rpx;
	}
</style>